Bug 993069 - Regression: AttributeError: 'ISCSIFabricModule' object has no attribute 'discovery_authenticate_target'
Regression: AttributeError: 'ISCSIFabricModule' object has no attribute 'disc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: targetcli (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Grover
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 10:52 EDT by Richard Chan
Modified: 2013-08-18 17:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: python-rtslib-2.1.fb37-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:32:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo configuration that triggers the error (3.62 KB, text/plain)
2013-08-05 10:52 EDT, Richard Chan
no flags Details

  None (edit)
Description Richard Chan 2013-08-05 10:52:12 EDT
Created attachment 782864 [details]
Demo configuration that triggers the error

Description of problem:
The /iscsi/<target>/tpg1/acls/<iqn> has lost the configuration group auth.
Cannot set CHAP parameters at iqn context
This is a regression 


Version-Release number of selected component (if applicable):
targetcli 2.1.fb27

How reproducible:
Always

Steps to Reproduce:
1. Create block target, iscsi target, lun, acl for initiator
2. cd /iscsi/<target>/acls/<iqn>
3. get

Actual results:
> get

AVAILABLE CONFIGURATION GROUPS
==============================
attribute global parameter


Expected results:

> get

AVAILABLE CONFIGURATION GROUPS
==============================
attribute global parameter auth


Additional info:

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 990, in run_interactive
    self._cli_loop()
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 813, in _cli_loop
    self.run_cmdline(cmdline)
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 934, in run_cmdline
    self._execute_command(path, command, pparams, kparams)
  File "/usr/lib/python2.7/site-packages/configshell/shell.py", line 909, in _execute_command
    result = target.execute_command(command, pparams, kparams)
  File "/usr/lib/python2.7/site-packages/targetcli/ui_node.py", line 87, in execute_command
    pparams, kparams)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 1417, in execute_command
    result = method(*pparams, **kparams)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 714, in ui_command_ls
    tree = self._render_tree(target, depth=depth)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 865, in _render_tree
    + self._render_tree(children[i], margin, depth)
  File "/usr/lib/python2.7/site-packages/configshell/node.py", line 769, in _render_tree
    (description, is_healthy) = root.summary()
  File "/usr/lib/python2.7/site-packages/targetcli/ui_target.py", line 152, in summary
    if fm.discovery_authenticate_target:
AttributeError: 'ISCSIFabricModule' object has no attribute 'discovery_authenticate_target'
Comment 1 Richard Chan 2013-08-05 10:56:41 EDT
Type in context it should be

/iscsi/<target>/tpg1/acls/<iqn> get parameter
## this will trigger the python error


targetcli-2.1.fb26 works with python-rtslib 2.1.fb35 2.1.fb36 - no error

targetcli-2.1.fb27 triggers the error with the most recent, and penultimate versions of python-rtslib.
Comment 2 Fedora Update System 2013-08-05 12:08:40 EDT
python-rtslib-2.1.fb37-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-rtslib-2.1.fb37-1.fc19
Comment 3 Richard Chan 2013-08-05 13:12:23 EDT
The two updates for python-rtslib and targetcli have fixed the issue for me
under Fedora 19. Thank you.
Comment 4 Fedora Update System 2013-08-06 19:31:53 EDT
Package python-rtslib-2.1.fb37-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-rtslib-2.1.fb37-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14307/python-rtslib-2.1.fb37-1.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-08-18 17:32:56 EDT
python-rtslib-2.1.fb37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.